Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.ui.tabbedui
Class AbstractTabbedUI.ExitAction

    java.lang.Object
      javax.swing.AbstractAction
          org.jfree.ui.tabbedui.AbstractTabbedUI.ExitAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Enclosing class:
  AbstractTabbedUI

    protected class AbstractTabbedUI.ExitAction

extends javax.swing.AbstractAction

An exit action.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`AbstractTabbedUI.ExitAction()` Defines an `Action` object with a default description string and default icon.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Invoked when an action occurs.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTabbedUI.ExitAction

    public AbstractTabbedUI.ExitAction()

  Defines an `Action` object with a default description string and default icon.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Invoked when an action occurs.

  Parameters:
    `e` - the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD